using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using Cathexis.IDBlue;

namespace SDPluginRFID
{
    
    /// <summary>
    /// This class provides persistant storeage of IDBlue devices found, by serializing a
    /// device list to and from file using .NET xml-Synchronizaiton
    /// </summary>
    class DeviceStore
    {
        // Create a file object
        public static readonly string fileName = "idblue_devices.xml";



        /// <summary>
        /// This method will deserialize a stored List, formatted as a xml-document, 
        /// from a file.
        /// </summary>
        /// <returns>The deserialized list</returns>
        public static List<Device> LoadDevices()
        {
            List<Device> ret = new List<Device>();
            if (System.IO.File.Exists(fileName))
            {
                System.Xml.Serialization.XmlSerializer xs = new System.Xml.Serialization.XmlSerializer(typeof(List<Device>));
                using (System.IO.StreamReader sr = new System.IO.StreamReader(fileName))
                {
                    ret = xs.Deserialize(sr) as List<Device>;
                }
            }

            return ret;
        }



        /// <summary>
        /// This method will deserialize a stored List, formatted as a xml-document, 
        /// from a file.
        /// </summary>
        /// <returns>The deserialized list</returns>
        public static void SaveDevices(List<Device> list)
        {
            System.Xml.Serialization.XmlSerializer xs = new System.Xml.Serialization.XmlSerializer(typeof(List<Device>));
            using (System.IO.StreamWriter sw = new System.IO.StreamWriter(fileName))
            {
                xs.Serialize(sw, list);
            }
        }
    }

}
