using System;
using System.Collections.Generic;
using System.Text;

namespace SDPluginRFID
{
    
    /// <summary>
    /// This class is intended to hold the information related to one service, as specified in
    /// the Ubicollab docs. This class supports serialization, if needed.
    /// </summary>
    public class Service
    {
        /* The service Name */
        private string name;

        /* The Service Uri */
        private string serviceUri;

        /* The service Location */
        private string location;

        /* The service Owner */
        private string owner;

        /* The service Description Uri */
        private string descriptionUri;

        /* The service type */
        private string type;

        /* The service Description */
        private string description;


        /// <summary>
        /// Constructor which sets all the members in the class
        /// </summary>
        /// <param name="name">The service Name</param>
        /// <param name="serviceUri">The Service Uri</param>
        /// <param name="location">The service Location</param>
        /// <param name="owner">The service Owner</param>
        /// <param name="descriptionUri">The service Description Uri</param>
        /// <param name="type">The service type</param>
        /// <param name="description">The service Description</param>
        public Service(string name, string serviceUri, string location, string owner,
            string descriptionUri, string type, string description)
        {
            this.name = name;
            this.serviceUri = serviceUri;
            this.location = location;
            this.owner = owner;
            this.descriptionUri = descriptionUri;
            this.type = type;
            this.description = description;
        }


        /// <summary>
        /// Empty constructor, needed if class will be used for serialization.
        /// </summary>
        public Service()
        {
        }


        /// <summary>
        /// Get or set the service type
        /// </summary>
        public string Type
        {
            get { return type; }
            set { type = value; }
        }



        /// <summary>
        /// Get or set the service type
        /// </summary>
        public string Description
        {
            get { return description; }
            set { description = value; }
        }



        /// <summary>
        /// Get or set the service description uri
        /// </summary>
        public string DescriptionUri
        {
            get { return descriptionUri; }
            set { descriptionUri = value; }
        }


        /// <summary>
        /// Get or set the service owner
        /// </summary>
        public string Owner
        {
            get { return owner; }
            set { owner = value; }
        }


        /// <summary>
        /// Get or set the service name
        /// </summary>
        public string Name
        {
            get { return name; }
            set { name = value; }
        }



        /// <summary>
        /// Get or set the service uri
        /// </summary>
        public string ServiceUri
        {
            get { return serviceUri; }
            set { serviceUri = value; }
        }



        /// <summary>
        /// Get or set the service location
        /// </summary>
        public string Location
        {
            get { return location; }
            set { location = value; }
        }

    }
}
