using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace ServiceManagementTool
{
    class ConfigHandler
    {

        XmlTextWriter writer;
        XmlTextReader reader;

        public void CreateXmlDocument()
        {
            string xmlFilename = "Config.xml";
            writer = new XmlTextWriter(xmlFilename, System.Text.Encoding.UTF8);

            // Indent the XML document to enhance human readability
            writer.Formatting = System.Xml.Formatting.Indented;

            // Write XML declaration
            writer.WriteStartDocument();

            // write a comment
            writer.WriteComment("This is the configuration file for UbiCollab Service Management GUI");

            // write root element - should at least contain a root element
            writer.WriteStartElement("Config");
            writer.WriteEndElement();





            // Write Element <Config_Setting>
            writer.WriteStartElement("Config_Setting");
            // Attributes
            writer.WriteAttributeString("Title", "An overview of XML development using C#");
            writer.WriteElementString("Author", "My Name");
            writer.WriteElementString("Date",
            System.DateTime.Today.ToShortDateString().ToString());

            // Write End Element </Header>
            writer.WriteEndElement();




            // Write End of document
            writer.WriteEndDocument();

            writer.Close();
        }




        public void ReadXmlDocument()
        {
            reader = new XmlTextReader("Article.xml");

            // Read the Start Element
            reader.ReadStartElement("Config");

            // Read an attribute
            reader.Read();
            if (reader.NodeType == XmlNodeType.Element &&
               reader.Name == "Config_Setting" &&
               reader.AttributeCount > 0)
            {
                //WriteToFile("\n\t\t" + reader.GetAttribute("Title"));
            }

            // Can be a call to Read
            reader.ReadStartElement("Header");
            //WriteToFile("\nAuthor : " + reader.ReadElementString("Author"));
            // Can be a call to Read
           // WriteToFile("Date   : " + reader.ReadElementString("Date") + "\n");
            reader.ReadEndElement();

            //ReadSections();
            reader.Close();
        }



    }
}
