using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ServiceManagementTool.serviceManager;

namespace ServiceManagementTool
{
    
    /// <summary>
    /// Class to service information, and allow services to be installed.
    /// </summary>
    public partial class DisplayServiceInformation : Form
    {

        //Web reference to Service Domain Manager
        private DomainManagerImplService managerService;
        
        public DisplayServiceInformation(string serviceUri, string descriptionUri, string name,
            string type, string location, string owner, string description, string protocol,
            DomainManagerImplService dMan)
        {
            InitializeComponent();

            txtServiceURI.Text = serviceUri;
            txtDescriptionURI.Text = descriptionUri;
            txtName.Text = name;
            txtType.Text = type;
            txtLocation.Text = location;
            txtOwner.Text = owner;
            txtDescription.Text = description;
            txtProtocol.Text = protocol;
            managerService = dMan;

            if (type == "Info")
                btnOpen.Enabled = true;
            if (type == "Ubi:Core" || type == "Ubi:Proxy")
                btnInstall.Enabled = true;
        }


        /// <summary>
        /// Handler for the Exit button click
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnExit_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }

        
        private void btnInstall_Click(object sender, EventArgs e)
        {
            if (txtType.Text == "Ubi:Core" || txtType.Text == "Ubi:Proxy")
            {
                String s = managerService.installService(txtServiceURI.Text, txtName.Text);
                MessageBox.Show(s);
            }
            else
                MessageBox.Show("Only native UbiCollab services (Core components and service proxies) can be installed.");
        }


        private void btnOpen_Click(object sender, EventArgs e)
        {
            string target = @txtServiceURI.Text;
            try
            {
                System.Diagnostics.Process.Start("IExplore.exe", target);
            }
            catch (Win32Exception w32e)
            {
                MessageBox.Show(w32e.Message);
            }
        }
    }
}