using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace ServiceManagementTool
{
    /// <summary>
    /// 
    /// </summary>
    class LogManager
    {
        /* List of the different log-levels*/
        private ArrayList logLevelList;

        /* Selection of the number of log-elements */
        private ArrayList logDisplayCount;

        /* Selection of log source*/
        private ArrayList logSource;


        /// <summary>
        /// Initiate and fill all lists.
        /// </summary>
        public LogManager()
        {
            //Initiate and fill loglevel-list with log-levels.
            logLevelList = new ArrayList();
            logLevelList.Add(new LogItem(0, "DEBUG (ALL)"));
            logLevelList.Add(new LogItem(1, "INFO"));
            logLevelList.Add(new LogItem(2, "WARNING"));
            logLevelList.Add(new LogItem(3, "ERROR"));
            logLevelList.Add(new LogItem(4, "FATAL"));

            //Initiate and fill # items to display
            logDisplayCount = new ArrayList();
            logDisplayCount.Add(new LogItem(25, "25"));
            logDisplayCount.Add(new LogItem(50, "50"));
            logDisplayCount.Add(new LogItem(100, "100"));
            logDisplayCount.Add(new LogItem(500, "ALL")); //Please get real...

            //Initiate and fill log source
            logSource = new ArrayList();
            logSource.Add(new LogItem(1, "Service Domain Manager"));
            logSource.Add(new LogItem(2, "Service Discovery Manager"));

        }


        /// <summary>
        /// Get or set the property
        /// </summary>
        public ArrayList LogLevelList
        {
            get { return logLevelList; }
            set { logLevelList = value; }
        }


        /// <summary>
        /// Get or set the property
        /// </summary>
        public ArrayList LogSource
        {
            get { return logSource; }
            set { logSource = value; }
        }


        /// <summary>
        /// Get or set the property
        /// </summary>
        public ArrayList LogDisplayCount
        {
            get { return logDisplayCount; }
            set { logDisplayCount = value; }
        }

    }



    /// <summary>
    /// Simple class for holding the different log items, implements neccessary
    /// functions for databinding to comboBoxes.
    /// </summary>
    class LogItem
    {
        /* The log level ID*/
        private int levelValue;

        /* The log level Name*/
        private string levelName;


        /// <summary>
        /// The only Constructor. Sets both class properties.
        /// </summary>
        /// <param name="levelId"></param>
        /// <param name="levelName"></param>
        public LogItem(int levelId, string levelName)
        {
            this.levelValue = levelId;
            this.levelName = levelName;
        }


        /// <summary>
        /// Get or set the property
        /// </summary>
        public string LevelName
        {
            get { return levelName; }
            set { levelName = value; }
        }


        /// <summary>
        /// Get or set the property
        /// </summary>
        public int LevelValue
        {
            get { return levelValue; }
            set { levelValue = value; }
        }

    }
}
