using System;
using System.Collections.Generic;
using System.Text;

namespace ServiceRegistryTool
{
    
    /// <summary>
    /// The purpose of this class is to hold all the properties for a single service.
    /// </summary>
    class Service
    {
        /* Service ID */
        private int id;

        /* Service invocation URI */
        private string serviceUri;

        /* Service descripiton URI */
        private string descriptionUri;

        /* Service name */
        private string name;

        /* Service type */
        private string type;

        /* Service location */
        private string location;

        /* Service owner */
        private string owner;


        /// <summary>
        /// Constructor to create a empty class
        /// </summary>
        public Service()
        {
        }


        /// <summary>
        /// Constructor to create a new instance with all properties set
        /// </summary>
        /// <param name="id">Service ID</param>
        /// <param name="serviceUri">URI/URL to invoke service</param>
        /// <param name="descriptionUri">URI/URL reference to service description</param>
        /// <param name="name">Name of service</param>
        /// <param name="type">Service Type</param>
        /// <param name="location">Location of service</param>
        /// <param name="owner">Owner of service</param>
        public Service(int id, string serviceUri, string descriptionUri, string name, string type, string location, string owner)
        {
            this.id = id;
            this.serviceUri = serviceUri;
            this.descriptionUri = descriptionUri;
            this.name = name;
            this.type = type;
            this.location = location;
            this.owner = owner;
        }

        /// <summary>
        /// Set or get the Id property
        /// </summary>
        public int Id
        {
            get { return id; }
            set { id = value; }
        }


        /// <summary>
        /// Set or get the ServiceUri property
        /// </summary>
        public string ServiceUri
        {
            get { return serviceUri; }
            set { serviceUri = value; }
        }


        /// <summary>
        /// Set or get the DescriptionUri property
        /// </summary>
        public string DescriptionUri
        {
            get { return descriptionUri; }
            set { descriptionUri = value; }
        }


        /// <summary>
        /// Set or get the Name property
        /// </summary>
        public string Name
        {
            get { return name; }
            set { name = value; }
        }


        /// <summary>
        /// Set or get the Type property
        /// </summary>
        public string Type
        {
            get { return type; }
            set { type = value; }
        }



        /// <summary>
        /// Set or get the Location property
        /// </summary>
        public string Location
        {
            get { return location; }
            set { location = value; }
        }



        /// <summary>
        /// Set or get the Owner property
        /// </summary>
        public string Owner
        {
            get { return owner; }
            set { owner = value; }
        }
    
    
    }
}
