using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ServiceRegistryTool.ServiceRegistry;

namespace ServiceRegistryTool
{
    public partial class UpdateServiceInfo : Form
    {

        ServiceRegistryImplService serviceRegistry = null;
        int serviceId = -1;

        public UpdateServiceInfo(ServiceRegistryImplService sReg, int id, string serviceURI, string descriptionURI, string name, string type, string location, string owner, string description)
        {
            InitializeComponent();

            serviceRegistry = sReg;

            serviceId = id;

            //Set default values inn fields
            txtAddServiceURI.Text = serviceURI;
            txtAddDescriptionURI.Text = descriptionURI;
            txtAddName.Text = name;
            txtAddType.Text = type;
            txtAddLocation.Text = location;
            txtAddOwner.Text = owner;
            txtAddDescription.Text = description;

        }

        
        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }

        
        private void btnUpdate_Click(object sender, EventArgs e)
        {
            if (serviceRegistry.updateService(serviceId, txtAddServiceURI.Text, txtAddDescriptionURI.Text,
                txtAddName.Text, txtAddType.Text, txtAddLocation.Text, txtAddOwner.Text, txtAddDescription.Text))
            {
                MessageBox.Show("Service successfully updated.");
                this.Dispose();
            }
            else
                MessageBox.Show("Service update failed. Look in Service Registry log for details.");
        }



    }
}