using System;
using System.Collections.Generic;
using System.Text;

namespace X10Client
{
    /// <summary>
    /// The purpose of this class is to be a provide a convenient mapping between a 
    /// X10-device and a housecode and unitcode address.
    /// </summary>
    public class X10Device
    {
        //The frindly name of the X10 device
        private string friendlyName;

        //The house code (A-P)
        private string house;

        //The unit code (1-16)
        private int unit;



        /// <summary>
        /// This constructor sets the provided values for its members and does nothing else.
        /// </summary>
        /// <param name="friendlyName">The frindly name of the X10 device</param>
        /// <param name="house">The house code (A-P)</param>
        /// <param name="unit">The unit code (1-16)</param>
        public X10Device(string friendlyName, string house, int unit)
        {
            this.friendlyName = friendlyName;
            this.house = house;
            this.unit = unit;
        }


        /// <summary>
        /// Empty constructor. Needed for serialization.
        /// </summary>
        public X10Device()
        {
        }


        #region Properties / encapsulated members

        /// <summary>
        /// Get or set the Unit property
        /// </summary>
        public int Unit
        {
            get { return unit; }
            set { unit = value; }
        }

        /// <summary>
        /// Get or set the House property
        /// </summary>
        public string House
        {
            get { return house; }
            set { house = value; }
        }

        /// <summary>
        /// Get or set the FriendlyName property
        /// </summary>
        public string FriendlyName
        {
            get { return friendlyName; }
            set { friendlyName = value; }
        }

        #endregion

    }
}
